Index: /GTP/trunk/Lib/Geom/shared/GTGeometry/src/GeoTreeSimplifier.cpp
===================================================================
--- /GTP/trunk/Lib/Geom/shared/GTGeometry/src/GeoTreeSimplifier.cpp	(revision 1014)
+++ /GTP/trunk/Lib/Geom/shared/GTGeometry/src/GeoTreeSimplifier.cpp	(revision 1019)
@@ -1537,8 +1537,8 @@
 	float center1z = (onez + twoz + threez + fourz)*0.25f;
 
-	x1 = Vertex[leaf2.Vert_Hoja[0]][0]; y1 = Vertex[leaf2.Vert_Hoja[0]][1]; z1 = Vertex[leaf2.Vert_Hoja[0]][2];
-	x2 = Vertex[leaf2.Vert_Hoja[1]][0]; y2 = Vertex[leaf2.Vert_Hoja[1]][1]; z2 = Vertex[leaf2.Vert_Hoja[1]][2];
-	x3 = Vertex[leaf2.Vert_Hoja[2]][0]; y3 = Vertex[leaf2.Vert_Hoja[2]][1]; z3 = Vertex[leaf2.Vert_Hoja[2]][2];
-	x4 = Vertex[leaf2.Vert_Hoja[3]][0]; y4 = Vertex[leaf2.Vert_Hoja[3]][1]; z4 = Vertex[leaf2.Vert_Hoja[3]][2];
+	x1 = Vertex[leaf2.vertsLeaf[0]][0]; y1 = Vertex[leaf2.vertsLeaf[0]][1]; z1 = Vertex[leaf2.vertsLeaf[0]][2];
+	x2 = Vertex[leaf2.vertsLeaf[1]][0]; y2 = Vertex[leaf2.vertsLeaf[1]][1]; z2 = Vertex[leaf2.vertsLeaf[1]][2];
+	x3 = Vertex[leaf2.vertsLeaf[2]][0]; y3 = Vertex[leaf2.vertsLeaf[2]][1]; z3 = Vertex[leaf2.vertsLeaf[2]][2];
+	x4 = Vertex[leaf2.vertsLeaf[3]][0]; y4 = Vertex[leaf2.vertsLeaf[3]][1]; z4 = Vertex[leaf2.vertsLeaf[3]][2];
 
 	float center2x = (x1 + x2 + x3 + x4)*0.25f;
@@ -1588,10 +1588,10 @@
 
 
-float TreeSimplifier::CalculateLeafArea(Hoja &leaf) const
-{
-	int idv0 = leaf.Vert_Hoja[0];
-	int idv1 = leaf.Vert_Hoja[1];
-	int idv2 = leaf.Vert_Hoja[2];
-	int idv3 = leaf.Vert_Hoja[3];
+float TreeSimplifier::CalculateLeafArea(Leaf &leaf) const
+{
+	int idv0 = leaf.vertsLeaf[0];
+	int idv1 = leaf.vertsLeaf[1];
+	int idv2 = leaf.vertsLeaf[2];
+	int idv3 = leaf.vertsLeaf[3];
 
 	float * v0 = Vertex[idv0];
Index: /GTP/trunk/Lib/Geom/shared/GTGeometry/GTGeometry.vcproj
===================================================================
--- /GTP/trunk/Lib/Geom/shared/GTGeometry/GTGeometry.vcproj	(revision 1014)
+++ /GTP/trunk/Lib/Geom/shared/GTGeometry/GTGeometry.vcproj	(revision 1019)
@@ -260,7 +260,4 @@
 				</File>
 				<File
-					RelativePath=".\src\libs\leaves\Arbol.cpp">
-				</File>
-				<File
 					RelativePath=".\src\libs\leaves\foliage.cpp">
 				</File>
@@ -360,7 +357,4 @@
 			</File>
 			<File
-				RelativePath=".\src\libs\leaves\arbol.h">
-			</File>
-			<File
 				RelativePath=".\include\auxiliar.h">
 			</File>
